// creator  : weidu.exe (version 23600)
// argument : KNOTT.DLG
// game     : .
// source   : ./override/KNOTT.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~KNOTT~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #20118 /* ~I don't like the looks of ye, I don't.~ */
  IF ~~ THEN REPLY #20119 /* ~Nor do I like the looks of ye, but it's better than a face of pulpy mush, now don't you think?~ */ GOTO 1
  IF ~~ THEN REPLY #20120 /* ~What you like or do not like is hardly my concern. I'd just like to know a bit about this place.~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #20121 /* ~Are you threatening me?~ */
  IF ~~ THEN REPLY #20122 /* ~Are you kidding? With a face like yours, it's a compliment!~ */ GOTO 2
  IF ~~ THEN REPLY #20123 /* ~Keep your voice down or my next move won't be a threat. I want to know how this whole place is laid out and I want to know it now.~ */ GOTO 3
  IF ~Global("X#SharKnott","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SharKnott","GLOBAL",1)~ EXTERN ~SHARTJ~ 95
END

IF ~  True()
~ THEN BEGIN 2 // from: 1.0 0.1
  SAY #20126 /* ~Get out of here... I said I don't like ye and it's not liable to change anytime soon.~ */
  IF ~~ THEN DO ~SetGlobalTimer("KnottAttack","GLOBAL",20)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #20127 /* ~Gulp... Heh, it's a bandit camp—tents here, tents there, ain't got no damn geography to it.~ */
  IF ~~ THEN REPLY #20128 /* ~Get out of here, you disgust me.~ */ DO ~EscapeArea()
~ EXIT
  IF ~~ THEN REPLY #20129 /* ~Then make some. Which one is Tazok's tent?~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.1
  SAY #20130 /* ~The— The big one in the... in the northeast part of the camp.~ */
  IF ~~ THEN REPLY #20131 /* ~All right, I've got what I want out of you. Don't suppose I can let you live, though, can I? Living lips tell tales, they say.~ */ DO ~Enemy()
~ UNSOLVED_JOURNAL #27217 /* ~Tazok and the Bandits
Loyalty in this camp runs about as strong as the iron they're stealing. With a little "encouragement," I was able to get one of the bandits to disclose that Tazok's tent lies in the northeast part of the encampment. If I'm to learn anything in this infernal place, I can only hope it will be there.~ */ EXIT
  IF ~~ THEN REPLY #20132 /* ~What's in there? Any guards or traps?~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.1
  SAY #20134 /* ~J-just the prisoner and his guards, no traps, honest!~ */
  IF ~~ THEN DO ~EscapeArea()
~ UNSOLVED_JOURNAL #27218 /* ~Tazok and the Bandits
Loyalty in this camp runs about as strong as the iron they're stealing. With a little "encouragement," I was able to get one of the bandits to disclose that Tazok's tent lies in the northeast part of the encampment. That guards lie within is no surprise, but the fact that there be a prisoner too... aye, that may yet be of use. But I should not tarry here, pen in hand, lest my tunic become stained not with ink but with my own heart's blood.~ */ EXIT
END
